Skip to main content
`Ctrl`+`K`

# PetscOptionsView

Prints the options that have been loaded. This is useful for debugging purposes.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsView(PetscOptions options, PetscViewer viewer)

Logically Collective, No Fortran Support

## Input Parameters

- options - options database, use `NULL` for default global database

- viewer - must be an `PETSCVIEWERASCII` viewer

## Options Database Key

- -options_view - Activates `PetscOptionsView()` within `PetscFinalize()`

## Note

Only the MPI rank 0 of the `MPI_Comm` used to create view prints the option values. Other processes may have different values but they are not printed.

## See Also

`PetscOptionsAllUsed()`

## Level

advanced

## Location

src/sys/objects/options.c

## Examples

src/sys/tutorials/ex19.c
src/sys/tutorials/ex10f.F90

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages